Bug 1821589 - service catalog can't be enable in OSP13 with RHCOS (FIPS OFF) kuryr
Summary: service catalog can't be enable in OSP13 with RHCOS (FIPS OFF) kuryr
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Catalog
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.4.z
Assignee: Jesus M. Rodriguez
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On: 1822785
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-07 07:06 UTC by Fan Jia
Modified: 2020-05-20 19:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1822785 (view as bug list)
Environment:
Last Closed: 2020-05-19 17:15:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-svcat-apiserver-operator pull 88 0 None closed [WIP] Bug 1821589: add etcdobserver to get consistently get the etcd ip addresses 2020-08-28 13:41:44 UTC
Red Hat Bugzilla 1836927 0 high CLOSED Cluster bootstrap fails with etcd rollout errors 2021-02-22 00:41:40 UTC

Comment 2 Jesus M. Rodriguez 2020-04-20 14:06:50 UTC
Service catalog images were in CrashLoopBackOff state. Turns out the https://etcd.openshift-etcd.svc.cluster.local:2379 does not always resolve and there is a new technique for getting the etcd cluster url in OpenShift 4.x.

Comment 3 Jesus M. Rodriguez 2020-05-15 03:32:54 UTC
Bug has been reviewed this sprint.

Comment 5 Jesus M. Rodriguez 2020-05-19 17:15:03 UTC
This is effectively new code for a deprecated feature. Closing as wontfix. If the business feels like this is a priority we can reopen the bug and investigate.


Note You need to log in before you can comment on or make changes to this bug.